Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160682 - Make updates less error prone
Summary: Make updates less error prone
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-16 17:06 UTC by Pierre Ossman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-06 21:55:52 UTC


Attachments (Terms of Use)

Description Pierre Ossman 2005-06-16 17:06:59 UTC
Every other update of mkinitrd causes the system to break. Usually booting up on
a rescuedisk and re-running mkinitrd solves the problem. (The latest I ran into
being that /initrd was killed causing pivot_root to go poof).

What I'd like to see is a trigger in the mkinitrd rpm that re-runs mkinitrd for
all initrd images found on the system.

Comment 1 Peter Jones 2005-07-06 21:55:52 UTC
That won't work; nash and the kernel are very closely coupled.  Only certain
versions work with certain kernels, and vice versa.


Note You need to log in before you can comment on or make changes to this bug.